import json
import os
import csv

directory = '/data/users/mgaughan/kkex_data_110823_3/'


with open('/data/users/mgaughan/power_data_110923.csv', "w") as csv_file:
    csv_header = ['repo', 'age', 'contributors', 'collaborators', 'milestones']
    writer = csv.writer(csv_file, delimiter=',')
    writer.writerow(csv_header)
    for filename in os.listdir(directory):
        new_row = []
        f = os.path.join(directory, filename)
        if os.path.isfile(f):
            print(f)
            new_row.append(f.split("/")[-1])
            open_f = open(f)
            data = json.load(open_f)
            new_row.append(data['perceval_obj']['age_of_project'])
            new_row.append(data['perceval_obj']['contributors'])
            new_row.append(data['perceval_obj']['collaborators'])
            new_row.append(data['gha_obj']['milestone_count'])
            writer.writerow(new_row)